> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search domain

> Check a domain name's availability and price in credits (exact match)



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /domainManagement/domains/search
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /domainManagement/domains/search:
    get:
      tags:
        - Domain Management - Domains
      summary: Search domain
      description: Check a domain name's availability and price in credits (exact match)
      parameters:
        - in: query
          name: name
          schema:
            title: Name
            description: Domain name to check availability for (e.g. acme-outreach.com).
            type: string
            minLength: 4
            maxLength: 253
          required: true
          description: Domain name to check availability for (e.g. acme-outreach.com).
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      name:
                        type: string
                      available:
                        type: boolean
                      priceCredits:
                        anyOf:
                          - type: number
                          - type: 'null'
                    required:
                      - name
                      - available
                      - priceCredits
                    additionalProperties: false
                    title: Result
                    description: >-
                      Exact-match availability result. Price is expressed in
                      workspace credits. Alternative names are served by the
                      suggestions endpoint.
                required:
                  - result
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````